function ClassGame()
{
    this.level_num = 0;
    this.bonus_lvl = false;
    this.move = true;
    this.bot = false;

    this.save = new ClassSave();
    this.save.LoadBonus();
    this.save.LoadMap();
    this.save.LoadTut();

    this.grid = new ClassGrid();
    this.bonus = new ClassBonus();
    this.combo = new ClassCombo();
    this.bot = new ClassBot();
    this.fly = new ClassFlyPets();
    this.score = new ClassScore();
    this.fly_w = new ClassFlyWater();

    this.all_job = new ClassAllJ();

    this.color = ["p1", "p2", "p3", "p4", "p5", "p6", "p7", "p8", "p9", "p10", "p11"];
}

ClassGame.prototype.CreateLvl = function(a)
{
    this.move = true;
    this.bot = false;
    this.level_num = a;
    this.bonus_lvl = (config.lvls[game.level_num].bonus_lvl != 0);
    this.ColorMix();
    this.grid.Re();
    this.combo.Create();
    this.bonus.Create();
    this.score.Create();
    this.all_job.Create();
//    this.fly.Create();
};

ClassGame.prototype.ColorMix = function()
{
    var a = 0;
    var b = "";
    for(var i = 0; i < this.color.length; i++)
    {
        a = (this.color.length * Math.random())<<0;
        b = this.color[i];
        this.color[i] = this.color[a];
        this.color[a] = b;
    }
};